{% extends "halaman_status/layout/base.html" %}

{% block title %} Status {% endblock %}

{% block content %}

<hr/>
<section name="input-list" id="update-status-box">
    <div class="container">
        <div class="row">
            <div class="col-sm-8 col-sm-offset-2">
                <form id="form" method="POST" action="{% url 'halaman-status:message_post,' %}">
                    <h2><strong>Update status...</strong></h2>
                    {% csrf_token %}
                    {{ status_form }}
                    <input id="submit" type="submit" class="btn btn-md btn-info" value="Submit">
                    <br>
                </form>
            </div>
        </div>
        
    </div>
</section>

<section name="my-list" id="show-status" style="padding-bottom: 20px; padding-top: 0px">
    {% if status %}
        {% for i in message reversed %}
            <div class="container" style="padding-top: 0px">
                <div class="row">
                    <div class="col-sm-8 col-sm-offset-2">
                        <div class="media" style="padding: 40px">
                            <div class="media-left">
                                <img src="https://assets.teenvogue.com/photos/59922529fc885e5cc9aba96e/master/pass/GettyImages-546939180.jpg" class="media-object img-circle" style="width:75px">
                                <h4>{{i.message}}</h4><!--foto nanti diganti dgn foto di hal profile-->
                            </div>
                            <div class="media-body">
                                <a href="/status/delete_status/{{ data.id }}" class="close">
                                    <span class="glyphicon glyphicon-trash"></span>
                                </a>
                                <h4 class="media-heading"><strong>{{author}}</strong> <small><i>Posted on {{i.created_date}}</i></small></h4><!--nama nanti diganti dgn nama di hal profile-->
                                <p>{{i.description}}</p>
                                

                            </div>
                        </div>
                    </div>
                </div>
            </div>
        {% endfor %}
    {% else %}
         <div class="container text-center"  style="padding-top: 15px;">
            <div class="row">
                <div class="col-sm-8 col-sm-offset-2">
                    <div id="empty" class="alert alert-danger">
                        <strong>Oops!</strong> Anda belum membuat status apapun.
                    </div>
                    
                </div>
            </div>
            
        </div>
    {% endif %}
    
</section>

{% endblock %}
